## org.biojava.stats.svm.tools
Class SuffixTreeKernel.SelectionScalar

    java.lang.Object
      org.biojava.stats.svm.tools.SuffixTreeKernel.SelectionScalar

All Implemented Interfaces:
  Serializable, SuffixTreeKernel.DepthScaler

Enclosing class:
  SuffixTreeKernel

    public static class SuffixTreeKernel.SelectionScalar

extends Object
implements SuffixTreeKernel.DepthScaler, Serializable

Scale using a BitSet to allow/disallow depths.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SuffixTreeKernel.SelectionScalar(BitSet bSet)` Make a new SelectionScalar that masks in different depths.

Method Summary
`double` `getScale(int depth)` Retrieve the scaling factor at a given depth

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuffixTreeKernel.SelectionScalar

    public SuffixTreeKernel.SelectionScalar(BitSet bSet)

  Make a new SelectionScalar that masks in different depths.

  Parameters:
    `bSet` - the mask for which depths to allow

Method Detail

### getScale

    public double getScale(int depth)

  Description copied from interface: `SuffixTreeKernel.DepthScaler`
  Retrieve the scaling factor at a given depth

  Specified by:
    `getScale` in interface `SuffixTreeKernel.DepthScaler`
  Parameters:
    `depth` - word length
  Returns:
    1.0 or 0.0 depending on whether the bit at depth is set or not